\documentclass{standalone}

\usepackage{tikz}
\input{couleur.sty}

\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm]
\clip(-7.5,-0.5) rectangle (1.5,5.5);
\fill[line width=1.5pt,color=A2,fill=A2] (-7,3) -- (-4,5) -- (-4,0) -- (0.5,3) -- cycle;
\draw [line width=1.5pt] (-7,3)-- node[above] {\Large{5}} (-4,5);
\draw [line width=1.5pt] (-4,5)-- (-4,3) -- (-4,0);
\draw [line width=1.5pt] (-4,0)-- node[below] {\Large{10}} (0.5,3);
\draw [line width=1.5pt] (0.5,3)-- node[above] {\Large{8}} (-4,3) -- (-7,3);
\begin{Large}
\draw[color=black] (-7.25,2.75) node {$E$};
\draw[color=black] (-3.75,5.25) node {$F$};
\draw[color=black] (-4.25,-0.25) node {$H$};
\draw[color=black] (0.75,3.25) node {$D$};
\draw[color=black] (-3.75,3.25) node {$G$};
\end{Large}
\end{tikzpicture}
\end{document}